<template>
	<view class="box">
		<view class=""  >
			<view class="" style="font-weight: bold; font-size: 34rpx;" >
				{{ data.title}}
			</view>
			<view class="" style="font-size: 30rpx;" >
				{{ data.fubiaoti}}
			</view>
			<view class="" style="margin-top: 4rpx; font-size: 24rpx; color: #9f9f9f;" >
				{{ Service.formatDate(data.addTime,1) }}
			</view>
		</view>
		<rich-text :nodes="notes" style="margin-top: 20rpx;" ></rich-text>
	</view>
</template>

<script setup lang="ts">
	import { onShow, onLoad } from "@dcloudio/uni-app";
	import { ref } from "vue";
	import { Service } from '@/Service/Service';
	import { AnnouncementService } from "@/Service/api/AnnouncementService"
	
	let data=ref<any>({})
	let notes = ref('')
	
	let id=ref('')
	
	onLoad((data:any) => {
		id.value=data.id
		getData( )
	});

	onShow(() => {

	});
	
	
	const getData=()=>{
		AnnouncementService.GetAnnouncementInfo(id.value).then(res=>{
			notes.value=res.data.info.content
			data.value=res.data.info
		})
	}
	
</script>

<style lang="scss">
	page{
		background-color: #fff;
	}
	
	.box {
		padding: 20rpx;
		:deep(img) {
			width: 100% !important;
			height: auto !important;
			display: block;
		}
	}
</style>